#include<fstream>
using namespace std;
ifstream f1("DQND.INP")	;
ofstream f2("DQND.OUT") ;
int dem=0;
int nd(int c)
{
	//int dem=0;
	if(c==0)
	{	
		f2<<endl;
		return dem;
	} 
	else
	{
		f2<<c%10;
		c=c/10;
		dem++;
		nd(c);
	}
}
int main()
{
	int c;
	f1>>c;
	f1.close();
	//nd(c);
	f2<<nd(c);
	f2.close();
	return 0;
}
